Bug 1958106 - kuryr-controller restart when enablePortPoolsPrepopulation = true
Summary: kuryr-controller restart when enablePortPoolsPrepopulation = true
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Maysa Macedo
QA Contact: rlobillo
URL:
Whiteboard:
Depends On: 1929066
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-07 08:17 UTC by OpenShift BugZilla Robot
Modified: 2021-06-08 13:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-08 13:54:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
kuryr tempest results with the fix and the kuryr config change applied (190.18 KB, application/xhtml+xml)
2021-06-02 13:29 UTC, rlobillo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 512 0 None open [release-4.6] [release-4.7] Bug 1958106: Fix port pools 2021-05-13 08:05:19 UTC
Github openshift kuryr-kubernetes pull 513 0 None open [release-4.6] [release-4.7] Bug 1958106: Skip pool pre population if no Status is present on CRD 2021-05-13 01:02:33 UTC
Red Hat Product Errata RHBA-2021:2157 0 None None None 2021-06-08 13:54:39 UTC

Comment 5 rlobillo 2021-06-02 13:26:55 UTC
Verified on 4.6.0-0.nightly-2021-05-31-074224 over OSP16.1 (RHOS-16.1-RHEL-8-20210506.n.1) with OVN-Octavia.

Configuration change is applied and kuryr-controller remains stable.

kuryr-tempest tests passed except test_port_pool which is missing a change on the test.

Comment 6 rlobillo 2021-06-02 13:29:09 UTC
Created attachment 1788687 [details]
kuryr tempest results with the fix and the kuryr config change applied

Comment 8 errata-xmlrpc 2021-06-08 13:54:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.32 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2157


Note You need to log in before you can comment on or make changes to this bug.